summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorsoredake <fdsfgs@krutt.org>2017-11-04 16:35:15 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2017-11-30 00:19:20 +0100
commit6870bf78eaa617688f718773e5181d42ae05f5f5 (patch)
tree68fc2a1e56dc3cd4ae6cf80c54e81eae274b1d1c /net-news
parentnet-news/rssguard: update live version (diff)
downloadgentoo-6870bf78eaa617688f718773e5181d42ae05f5f5.tar.gz
gentoo-6870bf78eaa617688f718773e5181d42ae05f5f5.tar.bz2
gentoo-6870bf78eaa617688f718773e5181d42ae05f5f5.zip
net-news/rssguard: version bump to 3.5.5
Diffstat (limited to 'net-news')
-rw-r--r--net-news/rssguard/Manifest1
-rw-r--r--net-news/rssguard/rssguard-3.5.5.ebuild46
2 files changed, 47 insertions, 0 deletions
diff --git a/net-news/rssguard/Manifest b/net-news/rssguard/Manifest
index 5f0e1692718..2d4bf4d4be2 100644
--- a/net-news/rssguard/Manifest
+++ b/net-news/rssguard/Manifest
@@ -1,2 +1,3 @@
DIST rssguard-3.3.5.tar.gz 5310573 SHA256 c8f9d05d498e63f5654dca2fc27834403d6cd76f078639a5d6e1b2acbc6e81bf SHA512 3d80cffa20f0f5f625907b0245a09ada18d56a190abddf2bcdc9eaa199867e29b68d445e12eec0dc544469e8ead4df2c6753da634346bf60e0913bdae41951be WHIRLPOOL efc16b622f3a0ddccee05c0ff5ba97933b170a8e1b713bf4cd81baeda745e70c88acd34502a372a34df339ab210b929f331609f022be3d5dc88cb9acc74de697
DIST rssguard-3.4.1.tar.gz 5128550 SHA256 709a92daef6cacb53983b42684f1d60eed3b7462a14403a2dac6cdb299a88bd4 SHA512 0f60bc7f1d000ec8e0f813cccf6235602b9a8f25b833b2bbf094601a0bfdeb5a7dfe7a0745f625812c1509b8489c45141fa51206175968897b394f942f4e6e2c WHIRLPOOL 826db0559456988d2b85da1968863ad39cd4f34a21626db27a2c4a45669e4badb07f160c870dfef36b36f03e57fe5efc12db8e1969ed7f17d87f199f6c3af210
+DIST rssguard-3.5.5.tar.gz 6446094 SHA256 fe79a613d983d552c6b1fac155421969c7db5ff27d404cde20ac21c08388f670 SHA512 4e6512c0d58c678145f63a2a42c43abfe4a6ceb8c9d395aba52228ca3afdaaf3dafdd79ab846dada16963f1be5dd22afb877910acc1425aea037d6fa1fc08996 WHIRLPOOL 5bf6b12eb781da34a1589e488a937e50f5857f020c1a5dd9f3e9d03002638c7510959afc3d3f4dae430ee1da73eeba1c6cf4146b362a668624ed5724cefc425c
diff --git a/net-news/rssguard/rssguard-3.5.5.ebuild b/net-news/rssguard/rssguard-3.5.5.ebuild
new file mode 100644
index 00000000000..ce581c45862
--- /dev/null
+++ b/net-news/rssguard/rssguard-3.5.5.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic qmake-utils
+
+DESCRIPTION="A tiny RSS and Atom feed reader"
+HOMEPAGE="https://github.com/martinrotter/rssguard"
+SRC_URI="https://github.com/martinrotter/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="debug webengine"
+MINQT="5.8:5"
+
+RDEPEND="
+ >=dev-qt/qtcore-${MINQT}
+ >=dev-qt/qtgui-${MINQT}
+ >=dev-qt/qtnetwork-${MINQT}
+ >=dev-qt/qtsql-${MINQT}
+ >=dev-qt/qtwidgets-${MINQT}
+ >=dev-qt/qtxml-${MINQT}
+ webengine? ( >=dev-qt/qtwebengine-${MINQT}[widgets] )
+"
+DEPEND="${RDEPEND}
+ >=dev-qt/linguist-tools-${MINQT}
+"
+
+src_configure() {
+ # needed after 8eb640b6f2e140e7c5a1adbe5532cf3662d850b5
+ "$(qt5_get_bindir)/lrelease" rssguard.pro || die "lrelease failed"
+ # CONFIG+=ltcg is needed because of https://github.com/martinrotter/rssguard/issues/156
+ eqmake5 \
+ CONFIG+=$(usex debug debug release) \
+ $(is-flagq -flto* && echo "CONFIG+=ltcg") \
+ USE_WEBENGINE=$(usex webengine true false) \
+ LRELEASE_EXECUTABLE="$(qt5_get_bindir)/lrelease" \
+ PREFIX="${EPREFIX}"/usr \
+ INSTALL_ROOT=.
+}
+
+src_install() {
+ emake install INSTALL_ROOT="${D}"
+}